Force Local Cluster Reset
DELETE
/cluster/reset-node/force
const url = 'https://sylve.lan:8181/api/cluster/reset-node/force';const options = { method: 'DELETE', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"nodeId":"example","remoteMembershipAcknowledged":true,"workloadsExternallyFenced":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://sylve.lan:8181/api/cluster/reset-node/force \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "nodeId": "example", "remoteMembershipAcknowledged": true, "workloadsExternallyFenced": true }'Reset only the local cluster state after external fencing and membership repair acknowledgement
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Force Local Reset Request
Media typeapplication/json
object
nodeId
string
remoteMembershipAcknowledged
boolean
workloadsExternallyFenced
boolean
Examplegenerated
{ "nodeId": "example", "remoteMembershipAcknowledged": true, "workloadsExternallyFenced": true}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
cleanupAcknowledged
boolean
membershipRemoved
boolean
status
object
attempts
integer
enabled
boolean
lastError
string
leaderIp
string
leaveId
string
localNodeId
string
phase
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "cleanupAcknowledged": true, "membershipRemoved": true, "status": { "attempts": 1, "enabled": true, "lastError": "example", "leaderIp": "example", "leaveId": "example", "localNodeId": "example", "phase": "example" } }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}